package com.yuchen.saas.park.api.commons.enums;

import com.yuchen.saas.park.api.commons.CodeAndDescriptionAble;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Positive;

@Getter
@RequiredArgsConstructor
public enum DoorAccessControlConfigType implements CodeAndDescriptionAble {
    ALL(0, "全部"),

    USER(2, "用户(时间配置)"),

    CARD(3, "卡片"),

    FACIAL(4, "人脸"),

    FINGERPRINT(5, "指纹");

    @Positive
    private final int code;

    @NotBlank
    private final String description;
}
